com.sun.syndication.io.impl

## Class RSS094Parser

- java.lang.Object
- - com.sun.syndication.io.impl.BaseWireFeedParser
  - - com.sun.syndication.io.impl.RSS090Parser
    - - com.sun.syndication.io.impl.RSS091UserlandParser
      - - com.sun.syndication.io.impl.RSS092Parser
        - - com.sun.syndication.io.impl.RSS093Parser
          - - com.sun.syndication.io.impl.RSS094Parser

All Implemented Interfaces:
  WireFeedParser

Direct Known Subclasses:
  RSS20Parser

    public class RSS094Parser
    extends RSS093Parser

### Constructor Summary

Constructors
`` `RSS094Parser()`
`protected` `RSS094Parser(java.lang.String type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `getRSSVersion()`
`protected WireFeed` `parseChannel(org.jdom.Element rssRoot)` Parses the root element of an RSS document into a Channel bean.
`Item` `parseItem(org.jdom.Element rssRoot, org.jdom.Element eItem)` Parses an item element of an RSS document looking for item information.
`protected Description` `parseItemDescription(org.jdom.Element rssRoot, org.jdom.Element eDesc)`

### Methods inherited from class com.sun.syndication.io.impl.RSS092Parser

`parseCategories`

### Methods inherited from class com.sun.syndication.io.impl.RSS091UserlandParser

`getImage, getItems, getRSSNamespace, getTextInput, getTextInputLabel, isHourFormat24, isMyType, parseImage`

### Methods inherited from class com.sun.syndication.io.impl.RSS090Parser

`getContentNamespace, getRDFNamespace, parse, parseItems, parseTextInput, validateFeed`

### Methods inherited from class com.sun.syndication.io.impl.BaseWireFeedParser

`extractForeignMarkup, getAttribute, getAttributeValue, getType, parseFeedModules, parseItemModules, parsePersonModules`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RSS094Parser

    public RSS094Parser()

#### RSS094Parser

    protected RSS094Parser(java.lang.String type)

### Method Detail

#### getRSSVersion

    protected java.lang.String getRSSVersion()

Overrides:
  `getRSSVersion` in class `RSS093Parser`

#### parseChannel

    protected WireFeed parseChannel(org.jdom.Element rssRoot)

Description copied from class: `RSS091UserlandParser`
Parses the root element of an RSS document into a Channel bean.

It first invokes super.parseChannel and then parses and injects the following properties if present: language, pubDate, rating and copyright.

Overrides:
  `parseChannel` in class `RSS092Parser`
Parameters:
  `rssRoot` - the root element of the RSS document to parse.
Returns:
  the parsed Channel bean.

#### parseItem

    public Item parseItem(org.jdom.Element rssRoot,
                          org.jdom.Element eItem)

Description copied from class: `RSS091UserlandParser`
Parses an item element of an RSS document looking for item information.

It first invokes super.parseItem and then parses and injects the description property if present.

Overrides:
  `parseItem` in class `RSS093Parser`
Parameters:
  `rssRoot` - the root element of the RSS document in case it's needed for context.
  `eItem` - the item element to parse.
Returns:
  the parsed RSSItem bean.

#### parseItemDescription

    protected Description parseItemDescription(org.jdom.Element rssRoot,
                                               org.jdom.Element eDesc)

Overrides:
  `parseItemDescription` in class `RSS092Parser`